# -*- coding: utf-8 -*-

from PyQt4.QtGui import QWidget
from PyQt4.QtCore import pyqtSignature
from Ui_guirestore import Ui_GuiRestore

from PyQt4 import QtGui

import wbfs2fat, cfg, sys

class GuiRestore(QWidget, Ui_GuiRestore):
    def __init__(self, parent = None):
        QWidget.__init__(self, parent)
        self.setupUi(self)
        self.dev_name.setText(cfg.dev_name)
        self.plainTextEdit.appendPlainText("Warning: Only restore Backup if you did not write to it since the atempt!")
        self.plainTextEdit.appendPlainText("")
        
    @pyqtSignature("")
    def on_back_dialog_clicked(self):
        self.back_name.setText(QtGui.QFileDialog.getOpenFileName(self, 'Select Backup',  cfg.options.back_dir))

    @pyqtSignature("")
    def on_buttonBox_accepted(self):
        self.buttonBox.setEnabled(0)
        try:
            dev = wbfs2fat.Device(cfg.dev_name)
            dev.restore(str(self.back_name.text()))
            self.buttonBox.setStandardButtons(QtGui.QDialogButtonBox.Close)
        except:
            self.plainTextEdit.appendPlainText("ERROR "+ str(sys.exc_info()[0]))
            self.plainTextEdit.appendPlainText("") 
            self.plainTextEdit.appendPlainText("")
        self.buttonBox.setEnabled(1)

    @pyqtSignature("")
    def on_buttonBox_rejected(self):
        self.close()
